> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection

> Returns a collection



## OpenAPI

````yaml /openapi/storefront.json GET /v1/collections/{slug}
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://storefront-api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /v1/collections/{slug}:
    get:
      tags:
        - headless_collections
      summary: Get a collection
      description: Returns a collection
      operationId: get-collection
      parameters:
        - name: storefront_token
          in: query
          required: true
          schema:
            type: string
            example: ptkn_xxxxxxxxxxxxxxxxxx
        - name: slug
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.app.headless.model.CollectionPublicV1
        '404':
          description: 'Possible errors: `COLLECTION_NOT_FOUND_BY_SHOP_ID_AND_SHOP_ERROR`'
          content:
            application/json:
              examples:
                collection-not-found-by-shop-id-and-shop-error:
                  value:
                    code: COLLECTION_NOT_FOUND_BY_SHOP_ID_AND_SHOP_ERROR
                    shopId: <shopid>
                    slug: <slug>
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/storefront/collections/get-collection
components:
  schemas:
    com.fourthwall.app.headless.model.CollectionPublicV1:
      type: object
      properties:
        id:
          type: string
          example: col_b1EVARkUTcCTSfspQaXr1Q
        name:
          type: string
          example: My collection
        slug:
          type: string
          example: my-collection
        description:
          type: string
          example: My collection description
      required:
        - description
        - id
        - name
        - slug
      title: Collection Public

````